{{- if .Values.prometheus.enabled }}
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: prometheus-certificate
  namespace: {{ .Values.namespaces.prometheusNamespace }}
spec:
  secretName: {{ .Values.prometheusConfig.certificateSecret }}
  issuerRef:
    kind: ClusterIssuer
    name: local-issuer
  dnsNames:
    - {{ include "eurodat.prometheus.service.name" . }}
  privateKey:
    rotationPolicy: Always
  subject:
    organizations:
      - eurodat
{{- end }}
